#
# Conditional build:
%bcond_without	java		# Java library
%bcond_without	static_libs	# static library

Summary:	Automatic Indentation Filter
Summary(pl.UTF-8):	Automatyczny filtr wcięć
Name:		astyle
Version:	3.1
Release:	1
License:	MIT
Group:		Development/Tools
Source0:	http://downloads.sourceforge.net/astyle/%{name}_%{version}_linux.tar.gz
# Source0-md5:	7712622f62661b1d8cb1062d7fedc390
URL:		http://astyle.sourceforge.net/
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Artistic Style is a reindenter and reformatter of C++, C and Java
source code.

%description -l pl.UTF-8
Artistic Style to narzędzie do reformatowania kodu z poprawianiem
wcięć dla źródeł w C++, C i Javie.

%package java
Summary:	AStyle library for Java
Summary(pl.UTF-8):	Biblioteka AStyle dla Javy
Group:		Libraries

%description java
AStyle library for Java.

%description java -l pl.UTF-8
Biblioteka AStyle dla Javy.

%package devel
Summary:	Header file for AStyle library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki AStyle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header file for AStyle library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki AStyle.

%package static
Summary:	Static AStyle library
Summary(pl.UTF-8):	Statyczna biblioteka AStyle
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static AStyle library.

%description static -l pl.UTF-8
Statyczna biblioteka AStyle.

%prep
%setup -q -n %{name}

%build
%{__make} -C build/gcc astyle shared %{?with_static_libs:static} %{?with_java:java} \
	CXX="%{__cxx}" \
	CPPFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/gcc install \
	INSTALL=install \
	prefix=$RPM_BUILD_ROOT%{_prefix}

install -d $RPM_BUILD_ROOT{%{_libdir},%{_includedir}}
install build/gcc/bin/libastyle.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf $(basename build/gcc/bin/libastyle.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libastyle.so
%if %{with java}
install build/gcc/bin/libastylej.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
ln -sf $(basename build/gcc/bin/libastylej.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libastylej.so
%endif
%if %{with static_libs}
cp -p build/gcc/bin/libastyle.a $RPM_BUILD_ROOT%{_libdir}
%endif
cp -p src/astyle.h $RPM_BUILD_ROOT%{_includedir}

/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE.md README.md doc/{*.html,*.css}
%attr(755,root,root) %{_bindir}/astyle
%attr(755,root,root) %{_libdir}/libastyle.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libastyle.so.3

%if %{with java}
%files java
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libastylej.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libastylej.so.3
%attr(755,root,root) %{_libdir}/libastylej.so
%endif

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libastyle.so
%{_includedir}/astyle.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libastyle.a
%endif
%changelog
* Sat Apr 20 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/astyle.git;a=log;h=master

* Fri Apr 19 2019 Jakub Bogusz <qboosh@pld-linux.org> a300e1c
- ldconfig

* Fri Apr 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 696559a
- updated to 3.1, build libraries

* Wed Feb 15 2012 Paweł Sikora <pluto@pld-linux.org> 316211d
- updated to 2.02.

* Sun Apr 17 2011 Krzysztof Goliński <dirdival@pld-linux.org> aee4eb8
- updated to 2.01
- docdir fixed

* Mon Feb 01 2010 Elan Ruusamäe <glen@pld-linux.org> 005c43b
- spelling, adapter

* Sat Jan 30 2010 Krzysztof Goliński <dirdival@pld-linux.org> 07881f0
- updated to 1.24
- removed files from astyle dir, the same files are in docdir
- fixed build dir

* Mon Mar 16 2009 Karol Krenski <charles@pld-linux.org> 493103a
- updated to 1.23

* Sat Apr 05 2008 arvenil <arvenil@pld-linux.org> e1a2009
- no more needed

* Sat Apr 05 2008 arvenil <arvenil@pld-linux.org> bd33c95
- up to 1.22
- rm Patch0 (not needed anymore)
- rm BR: unzip (not needed anymore)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 18f41a1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 708add0
- converted to UTF-8

* Fri May 12 2006 darekr <darekr@pld-linux.org> 751e978
- add -Makefile.patch to pass CXX

* Fri May 12 2006 darekr <darekr@pld-linux.org> c2b94ee
- new. to pass __cxx in spec

* Tue Feb 22 2005 Jakub Bogusz <qboosh@pld-linux.org> f6d36a4
- friendly Source0 URL

* Tue Feb 22 2005 darekr <darekr@pld-linux.org> ef6d8d8
- fixed URL

* Tue Feb 22 2005 Marcin Banasiak <marcin.banasiak@gmail.com> ecf4927
- proper license
- change URL
- other cosmetics

* Wed Nov 10 2004 darekr <darekr@pld-linux.org> 3afcf9f
- add URL
- add BR unzip

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 1212787
- może wrescie ktoś wykasuje to konto ?

* Tue Jun 03 2003 Jakub Bogusz <qboosh@pld-linux.org> 565dae3
- pl description

* Mon May 26 2003 wolf <wolf@pld-linux.org> 5ec30da
- hmm, md5. what now?

